Name:          go-md2man
Version:       2.0.0
Release:       2mamba
Summary:       go md to man conversion tool
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/cpuguy83/go-md2man
## GITSOURCE https://github.com/cpuguy83/go-md2man.git v1.0.4
Source:        https://github.com/cpuguy83/go-md2man.git/v%{version}/go-md2man-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libgo-devel
## AUTOBUILDREQ-END
BuildRequires: libgo-devel >= 10.1.0-1mamba
BuildRequires: go-pie
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
go md to man conversion tool.

%prep
%setup -q -c -a0
install -d build/src/github.com/cpuguy83
mv go-md2man-%{version} build/src/github.com/cpuguy83/go-md2man

%build
cd build/src/github.com/cpuguy83/go-md2man
export GOPATH=%{_builddir}/%{name}-%{version}/build

GOROOT=%{_libdir}/go go build -v -o go-md2man 
./go-md2man -in=go-md2man.1.md -out=go-md2man.1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd build/src/github.com/cpuguy83/go-md2man
install -Dm755 go-md2man %{buildroot}%{_bindir}/go-md2man
install -Dm755 go-md2man.1 %{buildroot}%{_mandir}/man1/go-md2man.1

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/go-md2man
%{_mandir}/man1/go-md2man.1*
%doc build/src/github.com/cpuguy83/go-md2man/LICENSE.md

%changelog
* Thu May 14 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-2mamba
- rebuilt by autoport with build requirements: libgo-devel>=10.1.0-1mamba

* Wed Sep 18 2019 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Wed Aug 28 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.10-2mamba
- rebuilt with gcc (libgo) 9.2.0

* Sat Mar 30 2019 Automatic Build System <autodist@mambasoft.it> 1.0.10-1mamba
- automatic version update by autodist

* Mon Jun 25 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.8-2mamba
- rebuilt with libgo 8.1.0

* Wed Apr 18 2018 Automatic Build System <autodist@mambasoft.it> 1.0.8-1mamba
- automatic version update by autodist

* Sat May 14 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.5-2mamba
- rebuilt by autoport with build requirements: libgo-devel>=6.1.0-2mamba

* Fri Feb 05 2016 Automatic Build System <autodist@mambasoft.it> 1.0.5-1mamba
- automatic version update by autodist

* Sat Jan 02 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-1mamba
- package created using the webbuild interface
